Create a broadcast

Creates a new broadcast. When a broadcast is created, it generates individual notifications for relevant users.

post
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body
typestring · enumRequiredPossible values:
channelstring · enumRequiredPossible values:
titlestring · min: 1Required

The main title of the notification. Displayed prominently to the user.

contentstring · min: 1Required

The main message or body of the notification.

actionURLstring · uri · nullableOptional

The action url. Deep link URL for action buttons.

categorystring · nullableOptional

A general grouping or category label for notifications, useful for organizing and filtering.

topicstring · nullableOptional

A more specific sub-label or theme related to the notification, such as a campaign name or feature tag.

scheduledDatestring · date-time · nullableOptional

The date and time at which the notification should be sent. If null, it will be sent immediately.

Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

post
/api/v1/notifications

Last updated